Bug 360991 - compile error in /usr/lib/perl5/5.8.8/Exporter.pm
compile error in /usr/lib/perl5/5.8.8/Exporter.pm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 16:46 EDT by david.hagood
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 16:03:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description david.hagood 2007-10-31 16:46:05 EDT
Description of problem:
There appears to be a severe problem with perl, in that the
/usr/lib/perl5/5.8.8/Exporter.pm won't compile/


Version-Release number of selected component (if applicable):
perl-5.8.8-30.fc8


How reproducible:
Every time

Steps to Reproduce:
1. Create the following test case file:
cat >test.pl << EOF
#!/usr/bin/perl
use FileHandle;
EOF
chmod a+x test.pl

2. ./test.pl

  
Actual results:
./test.pl
syntax error at /usr/lib/perl5/5.8.8/Exporter.pm line 20, near "3]"
Compilation failed in require at /usr/lib/perl5/5.8.8/Carp.pm line 193.
Compilation failed in require at
/usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/File.pm line 130.
BEGIN failed--compilation aborted at
/usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/File.pm line 130.
Compilation failed in require at /usr/lib/perl5/5.8.8/FileHandle.pm line 9.
Compilation failed in require at ./test.pl line 2.
BEGIN failed--compilation aborted at ./test.pl line 2.


Expected results:
Program should compile, then do nothing.

Additional info:
Comment 1 Tom "spot" Callaway 2007-10-31 17:03:49 EDT
Your test program compiles, and does nothing for me on my F8 x86_64 system, as
expected. 

Can you run rpm -V perl ?
Comment 2 david.hagood 2007-10-31 17:28:55 EDT
Resolve this invalid: somehow perl-libs had been screwed up:

rpm -V perl-libs-5.8.8-30.fc8 glibc-2.7-2
prelink: /usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/libperl.so: prelinked
file was modified
S.?.....   /usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/libperl.so
.M...... c /etc/ld.so.conf
..?.....   /usr/sbin/glibc_post_upgrade.i686



Note You need to log in before you can comment on or make changes to this bug.